usbps: XUsbPs Struct Reference

| usbps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsbPs Struct Reference

The XUsbPs driver instance data. More...

## Data Fields
XUsbPs_Config | Config
| Configuration structure. More...
int | CurrentAltSetting
| Current alternative setting of interface. More...
void * | UserDataPtr
| Data pointer to be used by upper layers to store application dependent data structures. More...
XUsbPs_DeviceConfig | DeviceConfig
| The following structures hold the configuration for DEVICE mode of the controller. More...
XUsbPs_IntrHandlerFunc | HandlerFunc
| Handler function for the controller. More...
void * | HandlerRef
| User data reference for the handler. More...
u32 | HandlerMask
| User interrupt mask. More...

## Detailed Description

The XUsbPs driver instance data.

The user is required to allocate a variable of this type for every USB controller in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XUsbPs_Config XUsbPs::Config

Configuration structure.

Referenced by XUsbPs_CfgInitialize(), XUsbPs_ConfigureDevice(), XUsbPs_DeviceReset(), XUsbPs_EpGetSetupData(), XUsbPs_EpPrime(), XUsbPs_IntrHandler(), XUsbPs_Reset(), and XUsbPs_SetDeviceAddress().

int XUsbPs::CurrentAltSetting

Current alternative setting of interface.

Referenced by XUsbPs_CfgInitialize().

XUsbPs_DeviceConfig XUsbPs::DeviceConfig

The following structures hold the configuration for DEVICE mode of the controller.

They are initialized using the XUsbPs_ConfigureDevice() function call.Configuration for the DEVICE mode.

Referenced by XUsbPs_ConfigureDevice(), XUsbPs_EpBufferReceive(), XUsbPs_EpBufferSendWithZLT(), XUsbPs_EpGetSetupData(), and XUsbPs_EpSetHandler().

XUsbPs_IntrHandlerFunc XUsbPs::HandlerFunc

Handler function for the controller.

Referenced by XUsbPs_CfgInitialize(), XUsbPs_IntrHandler(), and XUsbPs_IntrSetHandler().

u32 XUsbPs::HandlerMask

User interrupt mask.

Defines which interrupts will cause the callback to be called.

Referenced by XUsbPs_IntrHandler(), and XUsbPs_IntrSetHandler().

void* XUsbPs::HandlerRef

User data reference for the handler.

Referenced by XUsbPs_IntrHandler(), and XUsbPs_IntrSetHandler().

void* XUsbPs::UserDataPtr

Data pointer to be used by upper layers to store application dependent data structures.

The upper layers are responsible to allocated and free the memory. The driver will not mofidy this data pointer.